Skip to content
Browse files

Adding `rake gemspec` for Luke

  • Loading branch information...
1 parent bbf2ae9 commit bd8481da591784f8bc17bb18d3e059ed1a2f356f @winton winton committed
Showing with 14 additions and 4 deletions.
  1. +8 −1 Rakefile
  2. +6 −3 acts_as_archive.gemspec
View
9 Rakefile
@@ -1,2 +1,9 @@
require "#{File.dirname(__FILE__)}/require"
-Require.rakefile!
+Require.rakefile!
+
+desc "Generate gemspec"
+task :gemspec do
+ File.open("#{Rake.original_dir}/acts_as_archive.gemspec", 'w') do |f|
+ f.write(Require.gemspec.to_ruby)
+ end
+end
View
9 acts_as_archive.gemspec
@@ -2,16 +2,16 @@
Gem::Specification.new do |s|
s.name = %q{acts_as_archive}
- s.version = "0.1.6"
+ s.version = "0.2.2"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Winton Welsh"]
- s.date = %q{2010-02-05}
+ s.date = %q{2010-02-21}
s.default_executable = %q{acts_as_archive}
s.email = %q{mail@wintoni.us}
s.executables = ["acts_as_archive"]
s.extra_rdoc_files = ["README.markdown"]
- s.files = ["bin", "bin/acts_as_archive", "init.rb", "lib", "lib/acts_as_archive", "lib/acts_as_archive/base", "lib/acts_as_archive/base/destroy.rb", "lib/acts_as_archive/base/restore.rb", "lib/acts_as_archive/base/table.rb", "lib/acts_as_archive/base.rb", "lib/acts_as_archive/migration.rb", "lib/acts_as_archive.rb", "MIT-LICENSE", "rails", "rails/init.rb", "Rakefile", "README.markdown", "spec", "spec/acts_as_archive", "spec/acts_as_archive/base", "spec/acts_as_archive/base/destroy_spec.rb", "spec/acts_as_archive/base/restore_spec.rb", "spec/acts_as_archive/base/table_spec.rb", "spec/acts_as_archive/base_spec.rb", "spec/acts_as_archive/migration_spec.rb", "spec/db", "spec/db/config", "spec/db/config/database.yml", "spec/db/log", "spec/db/migrate", "spec/db/migrate/001_add_to_articles.rb", "spec/db/migrate_2", "spec/db/migrate_2/001_add_to_articles.rb", "spec/db/models", "spec/db/models/article.rb", "spec/spec.opts", "spec/spec_helper.rb"]
+ s.files = ["bin", "bin/acts_as_archive", "init.rb", "lib", "lib/acts_as_archive", "lib/acts_as_archive/base", "lib/acts_as_archive/base/adapters", "lib/acts_as_archive/base/adapters/mysql.rb", "lib/acts_as_archive/base/adapters/postgresql.rb", "lib/acts_as_archive/base/destroy.rb", "lib/acts_as_archive/base/restore.rb", "lib/acts_as_archive/base/table.rb", "lib/acts_as_archive/base.rb", "lib/acts_as_archive/migration.rb", "lib/acts_as_archive.rb", "MIT-LICENSE", "pkg/acts_as_archive-0.2.1.gem", "rails", "rails/init.rb", "Rakefile", "README.markdown", "require.rb", "spec", "spec/acts_as_archive", "spec/acts_as_archive/base", "spec/acts_as_archive/base/destroy_spec.rb", "spec/acts_as_archive/base/restore_spec.rb", "spec/acts_as_archive/base/table_spec.rb", "spec/acts_as_archive/base_spec.rb", "spec/acts_as_archive/migration_spec.rb", "spec/db", "spec/db/config", "spec/db/config/database.mysql.yml", "spec/db/config/database.postgresql.yml", "spec/db/log", "spec/db/migrate", "spec/db/migrate/001_add_to_articles.rb", "spec/db/migrate_2", "spec/db/migrate_2/001_add_to_articles.rb", "spec/db/models", "spec/db/models/article.rb", "spec/spec.opts", "spec/spec_helper.rb"]
s.homepage = %q{http://github.com/winton/acts_as_archive}
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.5}
@@ -22,8 +22,11 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<require>, ["= 0.2.1"])
else
+ s.add_dependency(%q<require>, ["= 0.2.1"])
end
else
+ s.add_dependency(%q<require>, ["= 0.2.1"])
end
end

0 comments on commit bd8481d

Please sign in to comment.
Something went wrong with that request. Please try again.